La compatibilité de la machine virtuelle détermine le matériel virtuel disponible pour la machine virtuelle. Vous pouvez planifier une mise à niveau de la compatibilité pour rendre une machine virtuelle compatible avec les versions plus récentes d'ESXi.

Vous pouvez modifier la compatibilité d'une machine virtuelle individuelle en mettant à niveau sa compatibilité ou en planifiant une mise à niveau de compatibilité.

Vous pouvez également modifier le paramètre de compatibilité par défaut de l'hôte, du cluster ou du centre de données.

Conditions préalables

  • Créer une sauvegarde ou un snapshot des machines virtuelles. Reportez-vous à la section Utiliser des snapshots pour gérer des machines virtuelles.
  • Mettez à niveau vers la dernière version de VMware Tools. Si vous mettez à niveau la compatibilité avant de mettre à niveau VMware Tools, la machine virtuelle risque de perdre ses paramètres réseau.
  • Vérifiez que tous les fichiers .vmdk sont disponibles sur l'hôte ESXi dans une banque de données VMFS3, VMFS5 ou NFS.
  • Vérifiez que les machines virtuelles sont stockées dans des banques de données VMFS3, VMFS5 ou NFS.
  • Vérifiez que les paramètres de compatibilité sur les machines virtuelles ne sont pas configurés avec la version la plus récente prise en charge.
  • Déterminez les versions ESXi avec lesquelles vous souhaitez que les machines virtuelles soient compatibles. Reportez-vous à la section Compatibilité de la machine virtuelle.

Procédure

  1. (Facultatif) Pour déterminer le paramètre de compatibilité d'une machine virtuelle, sélectionnez la machine virtuelle dans l'inventaire et cliquez sur l'onglet Résumé.
  2. Sélectionnez votre tâche.
    Client Tâches
    vSphere Client
    • Modifiez le paramètre de compatibilité par défaut d'une machine virtuelle.
      • Cliquez avec le bouton droit sur une machine virtuelle et cliquez sur Compatibilité > Mettre à niveau la compatibilité VM.
      • Cliquez avec le bouton droit sur une machine virtuelle et cliquez sur Compatibilité > Planifier une mise à niveau de compatibilité VM.